Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
Class ModelBinding

author:
  Danno Ferrin

version:
  $Revision: 8239 $

since:
  Groovy 1.1

Field Summary
`boolean` | `bound`
`List` | `generatedBindings`
`Object` | `model`
`Map` | `propertyBindings`

Constructor Summary
`ModelBinding(Object model)`

Method Summary
`void` | `bind()`
`Object` | `getModel()`
`Object` | `getProperty(String property)`
`void` | `rebind()`
`void` | `reverseUpdate()`
`void` | `setModel(Object model)`
`void` | `setProperty(String property, Object value)`
`void` | `unbind()`
`void` | `update()`

Constructor Detail

### ModelBinding

    public ModelBinding(Object model)

Method Detail

### bind

    public void bind()

### getModel

    public Object getModel()

### getProperty

    public Object getProperty(String property)

### rebind

    public void rebind()

### reverseUpdate

    public void reverseUpdate()

### setModel

    public void setModel(Object model)

### setProperty

    public void setProperty(String property, Object value)

### unbind

    public void unbind()

### update

    public void update()